Bug 196125 - [PATCH] databases/mariadb55-server unbreak SSLv2 disabled exp-run
Summary: [PATCH] databases/mariadb55-server unbreak SSLv2 disabled exp-run
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks: 195796
  Show dependency treegraph
 
Reported: 2014-12-19 13:45 UTC by Bernard Spil
Modified: 2015-01-16 15:56 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (never)


Attachments
Patch for databases/mariadb55-server (1.49 KB, patch)
2014-12-19 13:45 UTC, Bernard Spil
no flags Details | Diff
Poudriere log of mariadb55-server amd64 (80.06 KB, application/x-gzip)
2014-12-19 15:00 UTC, Bernard Spil
no flags Details
Poudriere log of mariadb55-client amd64 (353.84 KB, text/x-log)
2014-12-19 15:08 UTC, Bernard Spil
no flags Details
Patch for databases/mariadb55-server (5.08 KB, patch)
2015-01-14 19:51 UTC, Bernard Spil
no flags Details | Diff
Poudriere log of mariadb55-server amd64 (71.34 KB, application/x-gzip)
2015-01-14 19:55 UTC, Bernard Spil
no flags Details
Poudriere log of mariadb55-client amd64 (306.22 KB, text/x-log)
2015-01-14 19:56 UTC, Bernard Spil
no flags Details
Patch for databases/mariadb55-server (5.08 KB, patch)
2015-01-14 20:32 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2014-12-19 13:45:50 UTC
Created attachment 150762 [details]
Patch for databases/mariadb55-server

Patch for databases/mariadb55-server

This came up during the SSLv2 disabled exp-run and through other reports. 
See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=195796
and http://package18.nyi.freebsd.org/data/101amd64-default-PR195796/2014-12-12_06h28m13s/logs/errors/mariadb55-client-5.5.40.log

Error is
"===>  mariadb55-client-5.5.40 security/openssl package is installed. To build this either select the OPENSSL and PORTSSL options or deinstall openssl.
*** Error code 1"

Looks like this handling of OPENSSL options was old. Reworked it and built client without SSL, with bundled SSL, with OpenSSL from base and LibreSSL from ports which is now auto-detected. Server built fine with default options linking LibreSSL.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-19 13:45:50 UTC
Maintainer CC'd
Comment 2 Bernard Spil freebsd_committer 2014-12-19 15:00:03 UTC
Created attachment 150768 [details]
Poudriere log of mariadb55-server amd64

Gzipped, original is 2.3MB
Comment 3 Bernard Spil freebsd_committer 2014-12-19 15:08:36 UTC
Created attachment 150769 [details]
Poudriere log of mariadb55-client amd64
Comment 4 Johannes Jost Meixner freebsd_committer 2015-01-13 13:22:03 UTC
I'll take it (maintainer timeout)
Comment 5 Bernard Spil freebsd_committer 2015-01-14 19:51:59 UTC
Created attachment 151633 [details]
Patch for databases/mariadb55-server

- Upgrade to version 5.5.41
- Fixes the SSLv2 disabled exp-run issue
- Major refactor to new OPTIONS helpers (-24 lines)
Comment 6 Bernard Spil freebsd_committer 2015-01-14 19:55:29 UTC
Created attachment 151634 [details]
Poudriere log of mariadb55-server amd64
Comment 7 Bernard Spil freebsd_committer 2015-01-14 19:56:42 UTC
Created attachment 151635 [details]
Poudriere log of mariadb55-client amd64
Comment 8 Bernard Spil freebsd_committer 2015-01-14 20:32:05 UTC
Created attachment 151639 [details]
Patch for databases/mariadb55-server

- Upgrade to version 5.5.41
- Fixes the SSLv2 disabled exp-run issue
- Major refactor to new OPTIONS helpers (-24 lines)
+ tiny fix
Comment 9 Tijl Coosemans freebsd_committer 2015-01-15 09:39:25 UTC
Can you also make a similar patch for mariadb100?
Comment 10 Bernard Spil freebsd_committer 2015-01-15 10:26:35 UTC
Tijl: It's already there!
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196122
Comment 11 commit-hook freebsd_committer 2015-01-16 15:54:01 UTC
A commit references this bug:

Author: xmj
Date: Fri Jan 16 15:53:55 UTC 2015
New revision: 377184
URL: https://svnweb.freebsd.org/changeset/ports/377184

Log:
  databases/mariadb55-*: update to 5.5.41

  - Update -server and -client to 5.5.41
  - Use Options helpers
  - Use GCC on i386 newer than 10.1

  PR:		196125
  Differential Revision:	https://reviews.freebsd.org/D1534
  Submitted by:	Bernard Spil <spil.oss@gmail.com>
  Approved by:	maintainer timeout (3 weeks)
  Approved by:	swills(mentor)

Changes:
  head/databases/mariadb55-server/Makefile
  head/databases/mariadb55-server/distinfo
Comment 12 Johannes Jost Meixner freebsd_committer 2015-01-16 15:56:52 UTC
Committed, thanks!